Error

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
GET
POST
POST
POST
GET
POST
POST
POST
GET

Retrieve error tracking issues exists

Required API key scopes

error_tracking:read

Example request

GET /api/environments/:project_id/error_tracking/issues/exists
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/issues/exists/

Example response

Status 200 No response body

Retrieve error tracking issues exists

Required API key scopes

error_tracking:read

Example request

GET /api/environments/:project_id/error_tracking/issues/exists
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/issues/exists/

Example response

Status 200 No response body

Retrieve error tracking issues values

Required API key scopes

error_tracking:read

Example request

GET /api/environments/:project_id/error_tracking/issues/values
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/issues/values/

Example response

Status 200 No response body

Retrieve error tracking issues values

Required API key scopes

error_tracking:read

Example request

GET /api/environments/:project_id/error_tracking/issues/values
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/issues/values/

Example response

Status 200 No response body

Create error tracking query issue

Fetch one error tracking issue with impact counts, top in_app frame, latest release, and optional sparkline.

Required API key scopes

error_tracking:read

Request parameters

  • issueId
    string
  • dateRange
  • filterTestAccounts
    boolean
    Default: true
  • volumeResolution
    integer
    Default: 0
  • includeSparkline
    boolean
    Default: false

Response


Example request

POST /api/environments/:project_id/error_tracking/query/issue
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/query/issue/\
-d issueId="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"status": "string",
"first_seen": "2019-08-24T14:15:22Z",
"last_seen": "2019-08-24T14:15:22Z",
"library": "string",
"source": "string",
"assignee": {
"id": "string",
"type": "string"
},
"aggregations": {
"occurrences": 0.1,
"users": 0.1,
"sessions": 0.1,
"volumeRange": [
0.1
],
"volume_buckets": [
{
"label": "string",
"value": 0
}
]
},
"function": "string",
"top_in_app_frame": {
"function": "string",
"source": "string",
"line": 0,
"column": 0,
"in_app": true
},
"latest_release": {
"version": "string",
"project": "string",
"timestamp": "string",
"commit_id": "string",
"branch": "string",
"repo_name": "string"
},
"impact": {
"occurrences": 0.1,
"users": 0.1,
"sessions": 0.1
},
"sparkline": [
0.1
]
}
Status 404 Issue not found

Create error tracking query issue

Fetch one error tracking issue with impact counts, top in_app frame, latest release, and optional sparkline.

Required API key scopes

error_tracking:read

Request parameters

  • issueId
    string
  • dateRange
  • filterTestAccounts
    boolean
    Default: true
  • volumeResolution
    integer
    Default: 0
  • includeSparkline
    boolean
    Default: false

Response


Example request

POST /api/environments/:project_id/error_tracking/query/issue
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/query/issue/\
-d issueId="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"status": "string",
"first_seen": "2019-08-24T14:15:22Z",
"last_seen": "2019-08-24T14:15:22Z",
"library": "string",
"source": "string",
"assignee": {
"id": "string",
"type": "string"
},
"aggregations": {
"occurrences": 0.1,
"users": 0.1,
"sessions": 0.1,
"volumeRange": [
0.1
],
"volume_buckets": [
{
"label": "string",
"value": 0
}
]
},
"function": "string",
"top_in_app_frame": {
"function": "string",
"source": "string",
"line": 0,
"column": 0,
"in_app": true
},
"latest_release": {
"version": "string",
"project": "string",
"timestamp": "string",
"commit_id": "string",
"branch": "string",
"repo_name": "string"
},
"impact": {
"occurrences": 0.1,
"users": 0.1,
"sessions": 0.1
},
"sparkline": [
0.1
]
}
Status 404 Issue not found

Create error tracking query issue events

Fetch sampled exception events, stack traces, browser/SDK context, URL, and $session_id values for one issue.

Required API key scopes

error_tracking:read

Request parameters

  • issueId
    string
  • dateRange
  • filterTestAccounts
    boolean
    Default: true
  • filterGroup
    Click to open
    array
  • searchQuery
    string
  • orderDirection
    Default: DESC
  • limit
    integer
    Default: 1
  • offset
    integer
    Default: 0
  • verbosity
    Default: summary
  • onlyAppFrames
    boolean
    Default: true

Response


Example request

POST /api/environments/:project_id/error_tracking/query/issue_events
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/query/issue_events/\
-d issueId="string"

Example response

Status 200
RESPONSE
{
"results": [
{
"uuid": "string",
"distinct_id": "string",
"timestamp": "2019-08-24T14:15:22Z",
"properties": {}
}
],
"hasMore": true,
"limit": 0,
"offset": 0,
"nextOffset": 0
}
Status 404 Issue not found

Create error tracking query issue events

Fetch sampled exception events, stack traces, browser/SDK context, URL, and $session_id values for one issue.

Required API key scopes

error_tracking:read

Request parameters

  • issueId
    string
  • dateRange
  • filterTestAccounts
    boolean
    Default: true
  • filterGroup
    Click to open
    array
  • searchQuery
    string
  • orderDirection
    Default: DESC
  • limit
    integer
    Default: 1
  • offset
    integer
    Default: 0
  • verbosity
    Default: summary
  • onlyAppFrames
    boolean
    Default: true

Response


Example request

POST /api/environments/:project_id/error_tracking/query/issue_events
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/query/issue_events/\
-d issueId="string"

Example response

Status 200
RESPONSE
{
"results": [
{
"uuid": "string",
"distinct_id": "string",
"timestamp": "2019-08-24T14:15:22Z",
"properties": {}
}
],
"hasMore": true,
"limit": 0,
"offset": 0,
"nextOffset": 0
}
Status 404 Issue not found

List all error tracking query issues list

List error tracking issues with typed filters and compact aggregate counts.

Required API key scopes

error_tracking:read

Request parameters

  • dateRange
  • status
    Default: active
  • assignee
  • filterTestAccounts
    boolean
    Default: true
  • searchQuery
    string
  • filterGroup
    Click to open
    array
  • orderBy
    Default: occurrences
  • orderDirection
    Default: DESC
  • limit
    integer
    Default: 25
  • offset
    integer
    Default: 0
  • volumeResolution
    integer
    Default: 0
  • library
  • release
    string
  • fingerprint
  • user
    string
  • personId
    string
  • url
    string
  • filePath
    string

Response


Example request

POST /api/environments/:project_id/error_tracking/query/issues
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/query/issues/\
-d dateRange=undefined

Example response

Status 200
RESPONSE
{
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"status": "string",
"first_seen": "2019-08-24T14:15:22Z",
"last_seen": "2019-08-24T14:15:22Z",
"library": "string",
"source": "string",
"assignee": {
"id": "string",
"type": "string"
},
"aggregations": {
"occurrences": 0.1,
"users": 0.1,
"sessions": 0.1,
"volumeRange": [
0.1
],
"volume_buckets": [
{
"label": "string",
"value": 0
}
]
}
}
],
"hasMore": true,
"limit": 0,
"offset": 0,
"nextOffset": 0
}

List all error tracking query issues list

List error tracking issues with typed filters and compact aggregate counts.

Required API key scopes

error_tracking:read

Request parameters

  • dateRange
  • status
    Default: active
  • assignee
  • filterTestAccounts
    boolean
    Default: true
  • searchQuery
    string
  • filterGroup
    Click to open
    array
  • orderBy
    Default: occurrences
  • orderDirection
    Default: DESC
  • limit
    integer
    Default: 25
  • offset
    integer
    Default: 0
  • volumeResolution
    integer
    Default: 0
  • library
  • release
    string
  • fingerprint
  • user
    string
  • personId
    string
  • url
    string
  • filePath
    string

Response


Example request

POST /api/environments/:project_id/error_tracking/query/issues
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/query/issues/\
-d dateRange=undefined

Example response

Status 200
RESPONSE
{
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"status": "string",
"first_seen": "2019-08-24T14:15:22Z",
"last_seen": "2019-08-24T14:15:22Z",
"library": "string",
"source": "string",
"assignee": {
"id": "string",
"type": "string"
},
"aggregations": {
"occurrences": 0.1,
"users": 0.1,
"sessions": 0.1,
"volumeRange": [
0.1
],
"volume_buckets": [
{
"label": "string",
"value": 0
}
]
}
}
],
"hasMore": true,
"limit": 0,
"offset": 0,
"nextOffset": 0
}

List all error tracking recommendations

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:project_id/error_tracking/recommendations
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/recommendations/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": {},
"completed": true,
"status": "ready",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

List all error tracking recommendations

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:project_id/error_tracking/recommendations
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/recommendations/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": {},
"completed": true,
"status": "ready",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create error tracking recommendations dismiss

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/environments/:project_id/error_tracking/recommendations/:id/dismiss
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/recommendations/:id/dismiss/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": {},
"completed": true,
"status": "ready",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create error tracking recommendations dismiss

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/environments/:project_id/error_tracking/recommendations/:id/dismiss
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/recommendations/:id/dismiss/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": {},
"completed": true,
"status": "ready",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create error tracking recommendations refresh

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/environments/:project_id/error_tracking/recommendations/:id/refresh
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/recommendations/:id/refresh/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": {},
"completed": true,
"status": "ready",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create error tracking recommendations refresh

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/environments/:project_id/error_tracking/recommendations/:id/refresh
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/recommendations/:id/refresh/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": {},
"completed": true,
"status": "ready",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create error tracking recommendations restore

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/environments/:project_id/error_tracking/recommendations/:id/restore
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/recommendations/:id/restore/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": {},
"completed": true,
"status": "ready",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create error tracking recommendations restore

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/environments/:project_id/error_tracking/recommendations/:id/restore
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/recommendations/:id/restore/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": {},
"completed": true,
"status": "ready",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve error tracking settings retrieve settings

Response


Example request

GET /api/environments/:project_id/error_tracking/settings/retrieve_settings
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/settings/retrieve_settings/

Example response

Status 200
RESPONSE
{
"project_rate_limit_value": 1,
"project_rate_limit_bucket_size_minutes": 1,
"per_issue_rate_limit_value": 1,
"per_issue_rate_limit_bucket_size_minutes": 1
}

Retrieve error tracking settings retrieve settings

Response


Example request

GET /api/environments/:project_id/error_tracking/settings/retrieve_settings
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:project_id/error_tracking/settings/retrieve_settings/

Example response

Status 200
RESPONSE
{
"project_rate_limit_value": 1,
"project_rate_limit_bucket_size_minutes": 1,
"per_issue_rate_limit_value": 1,
"per_issue_rate_limit_bucket_size_minutes": 1
}

Community questions

Questions about this page? or post a community question.